package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class ReturnFeeDto {

    @ApiModelProperty(value = "课程组编号",required = false)
    private Long vipGroupId;

    @ApiModelProperty(value = "课程组编号",required = false)
    private Long groupId;

    @ApiModelProperty(value = "退费学员",required = false)
    private Integer studentId;

    @ApiModelProperty(value = "退费金额",required = false)
    private BigDecimal amount;

    @ApiModelProperty(value = "是否确认退还活动赠送",required = false)
    private Boolean confirmReturnActivityGive = false;

    private GroupType groupType;

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public Long getVipGroupId() {
        return vipGroupId;
    }

    public void setVipGroupId(Long vipGroupId) {
        this.vipGroupId = vipGroupId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Boolean getConfirmReturnActivityGive() {
        return confirmReturnActivityGive;
    }

    public void setConfirmReturnActivityGive(Boolean confirmReturnActivityGive) {
        this.confirmReturnActivityGive = confirmReturnActivityGive;
    }
}
